%define major 4
%define libname %mklibname rrdtool %{major}
%define develname %mklibname -d rrdtool

Summary:	RRDTool - round robin database
Name:		rrdtool
Version:	1.3.3
Release:	%mkrel 1
License:	GPL+
Group:		Networking/Other
URL:		http://oss.oetiker.ch/rrdtool/
Source:		http://oss.oetiker.ch/rrdtool/pub/%{name}-%{version}.tar.gz
Patch0:		rrdtool-1.2.12-pic.diff
Patch1:		rrdtool-1.2.23-fix-examples.patch
Patch2:		rrdtool-bts428778-floating-point-exception.diff
Patch4:		rrdtool-setup.py-module-name.diff
Patch6:		rrdtool-no-rpath.diff
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	cgilib-devel
BuildRequires:	chrpath
BuildRequires:	freetype-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	groff
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgd-devel
BuildRequires:	pango-devel
BuildRequires:	perl-devel
BuildRequires:	png-devel >= 1.0.3
BuildRequires:	python-devel
BuildRequires:	tcl tcl-devel
BuildRequires:	zlib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

%package -n	%{libname}
Summary:	RRDTool - round robin database shared libraries
Version:	%{version}
Group:		System/Libraries

%description -n	%{libname}
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use this library directly.

%package -n	%{develname}
Summary:	Development libraries and headers for %{libname}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	libpng-devel >= 1.0.3
Requires:	perl-devel
Requires:	libgd-devel
Requires:	zlib-devel
Requires:	cgilib-devel
Requires:	freetype-devel
Requires:	libart_lgpl-devel
Provides:	rrdtool-devel = %{version}-%{release}
Provides:	librrdtool-devel = %{version}-%{release}
Obsoletes:	rrdtool-devel
Conflicts:	%{mklibname rrdtool 0 -d}
Conflicts:	%{mklibname rrdtool 2 -d}

%description -n	%{develname}
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average).

This package provides development libraries and headers for %{libname}.

%package -n	perl-%{name}
Summary:	RRD Tool Perl interface
Group:		Development/Perl
Requires:	%{name} = %{version}

%description -n	perl-%{name}
The RRD Tools Perl modules.

%package -n	python-%{name}
Summary:	RRD Tool Python interface
Group:		Development/Python
Requires:	%{name} = %{version}  python >= 2.3

%description -n	python-%{name}
The RRD Tools Python modules.

%package -n	tcl-%{name}
Summary:	RRD Tool TCL interface
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	tcl

%description -n	tcl-%{name}
The RRD Tools TCL modules.

%prep

%setup -q
%patch0 -p1 -b .pic
%patch1 -p1
%patch2 -p0
%patch4 -p0
%patch6 -p1

# annoyance be gone
perl -pi -e "s|^sleep .*|usleep 10000|g" configure.*

%build
autoreconf

%configure2_5x \
    --with-perl-options="INSTALLDIRS=vendor" \
    --enable-tcl-site --disable-ruby

make

%install
rm -rf %{buildroot}

%makeinstall_std

# equivalent of "make site-perl-install" except for the PREFIX
# "make site-perl-install" is not done by "make install"
%makeinstall_std -C bindings/perl-piped install_vendor
%makeinstall_std -C bindings/perl-shared install_vendor

%{__install} -d %{buildroot}%{_sbindir}

# now create include and files
%{__install} -d %{buildroot}%{_includedir}
%{__install} -m644 src/rrd*.h %{buildroot}%{_includedir}/

# moving the docs in the right place (another approach)
rm -rf installed_docs
mkdir -p installed_docs/{html,pod,txt,examples}
cp doc/*.txt installed_docs/txt/
cp doc/*.pod installed_docs/pod/
cp doc/*.html installed_docs/html/
cp examples/*.{cgi,pl} installed_docs/examples/

#removing things installed in the wrong place
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl/*.pm
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl/auto/RRDs/RRDs*
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl5/site_perl
%{__rm} -rf %{buildroot}%{_prefix}/shared
%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}*

# icky ntmake.pl
%{__rm} -f %{buildroot}%{perl_vendorarch}/ntmake.pl

# I've tried and tried and tried to get rid of the rpath.
# It only appears after you do a make install, so I have
# no idea what is doing it but this gets rid of it...
#chrpath -d %{buildroot}%{_bindir}/*

# the problem has now moved to the perl stuff...
find %{buildroot}%{_prefix}/lib/perl* -name "*.so" | xargs chrpath -d 

# and the tcl stuff
chrpath -d %{buildroot}%{_libdir}/tclrrd%{version}.so

# remove .in/.am files
find %{buildroot} -name "*.in" | xargs %{__rm} -f
find %{buildroot} -name "*.am" | xargs %{__rm} -f

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTORS COPYING COPYRIGHT NEWS README THREADS TODO
%doc installed_docs/txt installed_docs/html
%{_bindir}/rrdcgi
%{_bindir}/rrdtool
%{_bindir}/rrdupdate
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/librrd.so.%{major}*
%{_libdir}/librrd_th.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%exclude %{_libdir}/tclrrd%{version}.so
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h

%files -n perl-%{name}
%defattr (-,root,root)
%doc installed_docs/pod installed_docs/examples
%{perl_vendorarch}/*.pm
%{perl_vendorlib}/*.pm
%dir %{perl_vendorarch}/auto/RRDs
%{perl_vendorarch}/auto/RRDs/RRDs.so
%{_mandir}/man3*/RRDp.3*
%{_mandir}/man3*/RRDs.3*

%files -n python-%{name}
%defattr (-,root,root)
%doc bindings/python/AUTHORS bindings/python/COPYING bindings/python/README
%py_platsitedir/*

%files -n tcl-%{name}
%defattr (-,root,root)
%doc bindings/tcl/README
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/tclrrd%{version}.so


%changelog
* Mon Sep 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-1mdv2009.0
+ Revision: 285022
- 1.3.3
- drop the autoconf262 patch, it's in there

* Thu Jul 24 2008 Funda Wang <fundawang@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 245284
- New version 1.3.1

* Sun Jun 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2009.0
+ Revision: 219316
- fix deps (again)
- fix deps
- bump release
- fix deps
- fix autopoo borkiness with P3
- fix deps
- 1.3.0
- rediffed and removed some patches

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.27-2mdv2009.0
+ Revision: 201008
- added P2-P6 from debian
- added P7 to fix autoconf-2.62 borkiness
- rebuild

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.27-1mdv2008.1
+ Revision: 169874
- update to new version 1.2.27

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.2.26-2mdv2008.1
+ Revision: 151324
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.26-1mdv2008.1
+ Revision: 110981
- new version
  drop useless CFLAGS mangling, no -ffast-math anymore

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.2.23-4mdv2008.0
+ Revision: 91518
- rebuild to try and fix #33813
- new license policy

* Thu Sep 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.23-3mdv2008.0
+ Revision: 91232
- fix perl examples and ship them in documentation

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.23-2mdv2008.0
+ Revision: 90261
- rebuild

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 1.2.23-1mdv2008.0
+ Revision: 60125
- disable ruby binding
- fix file list
- add missing BR
- New version 1.2.23


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.18-1mdv2007.0
+ Revision: 113731
- 1.2.18

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.15-3mdv2007.1
+ Revision: 96486
- Rebuild against new python
- Import rrdtool

* Fri Aug 11 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.15-2mdv2007.0
- fix python path for x86_64

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.15-1mdv2007.0
- 1.2.15

* Sat Jul 01 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.13-2
- png rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.13-1mdk
- 1.2.13

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Dec 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-1mdk
- 1.2.12
- rediffed P0

* Wed Jul 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.11-1mdk
- 1.2.11 (Minor bugfixes)
- added the tcl bindings sub package
- added one lib64 fix

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-1mdk
- 1.2.9

* Thu May 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdk
- 1.2.8
- added the python sub package

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-3mdk
- obsolete the old libname and devel packages

* Sun May 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-2mdk
- ship the provided ttf file

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdk
- 1.2.6
- fix deps
- drop unneeded patches
- rediffed the pic patch (P0)
- don't ship the provided ttf file, it's in the fonts-ttf-dejavu
  package. instead use a more common font (a_d_mono.ttf) from the
  fonts-ttf-west_european package
- new major (2)
- merge ideas from the provided spec file, ie. obey perl package naming

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.50-1mdk
- 1.0.50
- rediffed the pic patch (P3)
- added one gcc4/amd64 fix (debian)

* Thu Nov 18 2004 Michael Scherer <misc@mandrake.org> 1.0.49-3mdk
- Rebuild for new perl

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.49-2mdk
- merge lost fixes from 10.0-branch:
  * build DSO with -fPIC

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.49-1mdk
- 1.0.49
- fix P0

* Sat Jun 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.48-2mdk
- rebuild against new gd

* Fri May 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.48-1mdk
- 1.0.48
- use the %%configure2_5x macro
- removed the php stuff, broke it out into its own package

* Tue Apr 06 2004 Erwan Velu <erwan@mandrake.org> 1.0.47-1mdk
- 1.0.47

